Update Connect OAuth configuration
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
The external account number (int) or account ID Guid.
Request
This endpoint expects an object: connectOAuthConfig
The client ID assigned to your app by your authorization server or OAuth service.
This property is required.
The secret value provided by your authorization server.
This property is required.
The scopes that your app will request from the authorization server.
This property is optional.
Note: If you are using Azure, this value is the application ID URI of the secified resource affixed with the .default. For example: api://{{clientId}}/.default
Response
The client ID assigned to your app by your authorization server or OAuth service.
This property is required.
The secret value provided by your authorization server.
This property is required.
The scopes that your app will request from the authorization server.
This property is optional.
Note: If you are using Azure, this value is the application ID URI of the secified resource affixed with the .default. For example: api://{{clientId}}/.default